<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:panelGroup rendered="#{!statisticsCommonBeanGui.isAdminOrTSM()}">
        <s:decorate template="/layout/cards/_card.xhtml">
            <ui:param name="showCard" value="true"/>
            <ui:define name="card-header">
                <i class="glyphicon glyphicon-briefcase"/>
                <span>#{messages['net.ihe.gazelle.tm.YouAndYourTestPartners']}</span>
            </ui:define>
            <ui:define name="card-body">
                <p>
                    #{messages['net.ihe.gazelle.tm.YourOrganizationHas']} <b>#{attendeesSummaryBeanGui.getNumberOfAcceptedSystems()}</b>
                    #{messages['net.ihe.gazelle.tm.SystemUnderTestAcceptedToTheSession']}
                </p>
                <s:div rendered="#{attendeesSummaryBeanGui.isRegistrationEnabled()}">
                    <b>#{attendeesSummaryBeanGui.getNumberOfRegisteredAttendees()}</b>
                    #{messages['net.ihe.gazelle.tm.AttendeesAreRegisteredToTheEvent']}
                </s:div>
            </ui:define>
            <ui:define name="card-footer">
                <div class="col-sm-6">
                    <h:commandButton id="yourRegistration" styleClass="gzl-btn gzl-btn-green form-control"
                                     value="#{messages['net.ihe.gazelle.tm.YourRegistration']}"
                                     action="#{attendeesSummaryBeanGui.yourRegistrationButton()}"/>
                </div>
                <div class="col-sm-6">
                    <h:commandButton id="listAvailablePartners" styleClass="gzl-btn gzl-btn-green form-control"
                                     style="padding: 1px"
                                     value="#{messages['net.ihe.gazelle.tm.ListAvailablePartners']}"
                                     action="#{attendeesSummaryBeanGui.listAvailablePartnersButton()}"/>
                </div>
            </ui:define>
        </s:decorate>
    </h:panelGroup>

    <h:panelGroup rendered="#{statisticsCommonBeanGui.isAdminOrTSM()}">
        <s:decorate template="/layout/cards/_card.xhtml">
            <ui:param name="showCard" value="#{statisticsCommonBeanGui.isAdminOrTSM()}"/>
            <ui:define name="card-header">
                <i class="fa fa-users"/>
                <span>#{messages['net.ihe.gazelle.tm.Attendees']}</span>
            </ui:define>
            <ui:define name="card-body">
                <div class="col-sm-12">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfSessionParticipants()} #{messages['net.ihe.gazelle.tm.AttendeesFrom']}
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfRegisteredInstitutionWithAttendee()} #{messages['net.ihe.gazelle.tm.OrganizationsAreRegisteredToTheEvent']}
                </div>
            </ui:define>
            <ui:define name="card-footer">
                <div class="col-sm-offset-2 col-sm-8">
                    <h:commandButton id="manageAttendees" styleClass="gzl-btn gzl-btn-green form-control"
                                     value="#{messages['net.ihe.gazelle.tm.ManageAttendees']}"
                                     action="#{statisticsForPreparationPhaseBeanGui.getManageAttendeesLink()}"/>
                </div>
            </ui:define>
        </s:decorate>
    </h:panelGroup>
</ui:composition>